/* --------------------------------
         Header
-------------------------------- */

header#masthead {
    width: 100%;
    background-color: #fff;
    position: fixed;
    left: 0;
    z-index: 2000;
    height: auto;
    transition: all 0.5s ease;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    box-shadow: 0 2px 4px rgb(0 0 0 / 5%);
    -webkit-box-shadow: 0 2px 4px rgb(0 0 0 / 5%);
    -moz-box-shadow: 0 2px 4px rgb(0 0 0 / 5%);
}

.headerinside {
    width: 100%;
    max-width: 1200px;
    margin-left: auto;
    margin-right: auto;
    z-index: 200;
    display: flex;
    align-items: center;
    padding: 15px 50px;
    box-sizing: border-box;
    height: 100px;
    justify-content: space-between;
}

.innerrow > div {
    width: 100%!important;
    max-width: 1200px;
    margin-left: auto;
    margin-right: auto;
    padding: 0px 50px!important;
}

.site-branding img {
    height: 70px;
    width: auto;
}

.site-branding {
    line-height: 0;
}

main#primary {
    padding-top: 100px;
}

div#page {
    overflow: hidden;
}

/* --------------------------------
         Menu
-------------------------------- */

button#menubutton {
    display: none;
}

ul#primary-menu {
    display: flex;
    list-style: none;
    margin-left: -15px;
    margin-right: -15px;
    margin-top: 0px;
    margin-bottom: 0px;
}

ul#primary-menu > li {
    position: relative;
    padding-bottom: 20px;
    margin-bottom: -20px;
}

ul#primary-menu > li > a {
    font-family: "WorkSans-Bold", Arial, Helvetica, sans-serif;
    margin: 0px 15px;
    font-size: 15px;
    text-decoration: none;
}

.mobielmenu {
    display: none;
}

/* --------------------------------
         Box menu and cta
-------------------------------- */

.boxmenuandcta {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: flex-end;
    justify-content: center;
    align-items: flex-end;
    margin-top: 5px;
}

.boxcta {
    font-size: 15px;
    margin: 0px -15px 10px -15px;
}

.boxcta a {
    display: inline-block;
    margin: 0px 15px;
    text-decoration: none;
}

a.ctaheader.call {
    padding-left: 24px;
    position: relative;
    background-image: url(https://www.cornelissenmetaaltechniek.nl/wp-content/themes/cornelissen/images/Telefoon.svg);
    background-repeat: no-repeat;
    background-position: left center;
    background-size: 15px;
    font-size: 15px;
    line-height: 25px;
}

a.ctaheader.mail {
    padding-left: 24px;
    position: relative;
    background-image: url(https://www.cornelissenmetaaltechniek.nl/wp-content/themes/cornelissen/images/Mail.svg);
    background-repeat: no-repeat;
    background-position: left center;
    background-size: 15px;
    font-size: 15px;
    line-height: 25px;
}

a.ctaheader.zoeken {
    padding-left: 24px;
    position: relative;
    background-image: url(https://www.cornelissenmetaaltechniek.nl/wp-content/themes/cornelissen/images/Zoeken.svg);
    background-repeat: no-repeat;
    background-position: left center;
    background-size: 15px;
    font-size: 15px;
    line-height: 25px;
}

a.hidefirst {
	display: none!important;
}

.mobilemenuactive div#page {
    width: 100%;
    overflow-x: hidden;
    overflow-y: hidden;
    overflow: hidden;
    position: absolute;
}

.buttonmenu > a {
    font-size: 15px;
    text-decoration: none;
    color: #444444;
    padding: 7px 10px 7px 10px;
    align-items: center;
    border: 0px;
    background-color: #F7B801;
    cursor: pointer;
    border-radius: 6px;
    text-align: center;
    font-family: "WorkSans-Bold", Arial, Helvetica, sans-serif!important;
    font-size: 15px!important;
}

#cookie-notice .cn-button:not(.cn-button-custom) {
    font-size: 15px!important;
    color: #444444!important;
    padding: 7px 10px 7px 10px!important;
    align-items: center;
    margin: 10px!important;
    border: 0;
    background-color: #F7B801!important;
    cursor: pointer!important;
    border-radius: 6px!important;
    text-align: center!important;
    font-family: "WorkSans-Bold",Arial,Helvetica,sans-serif!important;
    font-size: 15px!important;
}

#cookie-notice .cn-button:not(.cn-button-custom):hover {
	text-decoration: underline!important;
}

span#cn-notice-text {
    margin: 0px!important;
    font-size: 15px;
    line-height: 1.8;
}

@media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {

	.vidbg-container video {
    	display: none!important;
	}
	
	.vidbg-container {
    	background-color: rgb(0 0 0 / 0%);
    	background-image: url(https://www.cornelissenmetaaltechniek.nl/wp-content/uploads/2022/01/Background-edge.svg)!important;
    	background-position: top center;
   		background-size: cover;
	}
	
	}


@media (max-width: 1199px) {

.headerinside {
    padding: 0px 25px;
}

.innerrow > div {
    padding: 0px 25px!important;
}
	
}

@media (min-width: 1150px) {

ul#primary-menu > li > a {
    margin: 0px 12.5px;
}
	
}

@media (min-width: 1100px) {

.site-header ul.sub-menu {
    display: none;
    position: relative;
}

.site-header ul#primary-menu>li:hover>ul.sub-menu {
    position: absolute;
    display: inline-block;
    width: 270px;
    left: 0px;
    top: 27px;
    margin-left: 0;
    list-style: none;
    border-top: 1px solid rgb(247 249 251);
    border-bottom: 1px solid rgb(247 249 251);
    background-color: #fff;
    line-height: 0;
    padding-left: 0px;
    box-shadow: 0 2px 4px rgb(0 0 0 / 15%);
    -webkit-box-shadow: 0 2px 4px rgb(0 0 0 / 15%);
    -moz-box-shadow: 0 2px 4px rgb(0 0 0 / 15%);
}

.site-header  ul.sub-menu>li>a {
    width: 100%;
    float: left;
    display: inline-block;
    line-height: 1.4em;
    padding: 15px 15px;
    font-size: 15px;
    box-sizing: border-box;
    border-top: 1px solid rgb(247 249 251);
    text-decoration: none;
}

.site-header  ul.sub-menu>li:first-child>a {
    border-top: 0;
}

.site-header  ul.sub-menu>li:first-child>ul.sub-menu {
    top: -1px!important;
}

.site-header  ul.sub-menu>li:hover>ul.sub-menu {
    position: absolute;
    display: inline-block;
    width: 270px;
    margin-left: 0;
    list-style: none;
    box-shadow: 0 2px 4px rgb(0 0 0 / 15%);
    -webkit-box-shadow: 0 2px 4px rgb(0 0 0 / 15%);
    -moz-box-shadow: 0 2px 4px rgb(0 0 0 / 15%);
    z-index: -1;
    border-top: 1px solid rgb(247 249 251);
    border-bottom: 1px solid rgb(247 249 251);
    background-color: #fff;
	max-height: calc(100vh - 200px);
    top: 0px;
    overflow: auto;
    line-height: 0;
    padding-left: 0px;
    margin: 0px;
}

ul.sub-menu>li:hover>ul.sub-menu {
	max-height: calc(100vh - 200px);
}

.site-header  ul.sub-menu li {
    position: relative;
    display: inline-block;
    width: 100%;
    margin: 0px;
    padding: 0px;
    text-align: left;
    line-height: 0;
}

}



@media (max-width: 1099px) {

nav#site-navigation {
    display: none;
}
	
.headerinside, .innerrow > div {
    padding: 0px 15px!important;
}

.site-branding img {
    height: 60px;
}

.site-branding {
}

.headerinside {
    height: 80px;
}

main#primary {
    padding-top: 80px;
}

.boxcta {
    margin-bottom: 0px;
}

.mobielprimarymobiel #primary-menu-mobiel > li > ul {
    padding: 0px;
    list-style: none;
    margin: -5px 0px 10px 0px!important;
}

.mobielprimarymobiel .sub-menu {
    line-height: 30px;
}

.mobielprimarymobiel ul.sub-menu .sub-menu {
    list-style: none;
    margin: 0px;
    padding: 0px 0px 0px 15px;
    display: none;
}

.sub-menu li.menu-item-has-children .arrowopenclose {
    content: '';
    width: 32px;
    height: 32px;
    position: absolute;
    right: -10px;
    background-color: #000;
    background-size: 8px;
    background-position: center;
    display: block;
    top: 0;
    -ms-transform: rotate(90deg);
    transform: rotate(90deg);
    cursor: pointer;
    -webkit-transition: all .2s ease-in-out;
    -o-transition: all .2s ease-in-out;
    transition: all .2s ease-in-out;
}

.mobielprimarymobiel .sub-menu li {
    position: relative;
    max-width: 300px;
}

.mobielprimarymobiel .sub-menu li a {
    text-decoration: none;
    font-size: 16px;
}

.mobielprimarymobiel .sub-menu li li {
	margin-top: 10px;
	line-height: 22px;
	font-size: 15px;
	margin-bottom: 10px;
}

ul.sub-menu.opensubmenu {
    display: block!important;
}

.sub-menu li.menu-item-has-children .arrowopenclose.opensubmenu2 {
    -ms-transform: rotate(-90deg);
    transform: rotate(-90deg);
    -webkit-transition: all .2s ease-in-out;
    -o-transition: all .2s ease-in-out;
    transition: all .2s ease-in-out;
}
	
/* --------------------------------
         Header // menu icon
-------------------------------- */

.menu-primany-menu-container {
    width: 100%;
    max-width: 400px;
}
	
button#menubutton {
    display: block;
    background-color: #fff;
    width: 40px;
    height: 30px;
    opacity: 1;
}

.boxinmenu {
    display: none;
}
	
span.menuinside {
    width: 35px;
    height: 2px;
    display: block;
    background: #444444;
    right: 15px;
    position: absolute;
    opacity: 1;
    transition: all .5s ease-in-out;
    -webkit-transition: all .5s ease-in-out;
}
	
span.menuinside:before {
    width: 40px;
    height: 2px;
    display: block;
    background: #444444;
    top: -12px;
    content: '';
    position: absolute;
    right: 0;
    transition: all .5s ease-in-out;
    -webkit-transition: all .5s ease-in-out;
}
	
span.menuinside:after {
    width: 30px;
    height: 2px;
    display: block;
    background: #444444;
    bottom: -12px;
    content: '';
    position: absolute;
    right: 0;
    transition: all .5s ease-in-out;
    -webkit-transition: all .5s ease-in-out;
}
	
.mobilemenuactive span.menuinside {
    background-color: #fff;
    right: 15px;
    opacity: 1;
}
	
.mobilemenuactive span.menuinside:before {
    width: 35px;
    transform: rotate(-45deg);
    top: 0;
    height: 2px;
    transition: all .5s ease-in-out;
    -webkit-transition: all .5s ease-in-out;
}
	
.mobilemenuactive span.menuinside:after {
    width: 35px;
    transform: rotate(45deg);
    top: 0px!important;
    bottom: unset;
    height: 2px;
    transition: all .5s ease-in-out;
    -webkit-transition: all .5s ease-in-out;
}
	
.mobilemenuactive {
    width: 100%;
    overflow-x: hidden;
    overflow-y: hidden;
    overflow: hidden;
    position: absolute;
}
	
.mobielmenu {
    right: -100%;
    transition: right 0.5s ease;
    background-color: #fff;
    height: calc(100vh - 79px);
    width: 100%;
    position: fixed;
    top: 79px;
    padding: 50px 15px;
    z-index: 1999;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-items: flex-start;
    justify-content: flex-start;
    align-content: flex-start;
    box-sizing: border-box;
    overflow: scroll;
    background-image: url(https://www.cornelissenmetaaltechniek.nl/wp-content/uploads/2021/12/Overlay-1-15-zwart.svg);
    background-position: center -75px;
    background-repeat: no-repeat;
    background-size: cover;
}

.mobilemenuactive .mobielmenu {
    right: 0px;
}

ul#primary-menu-mobiel {
    list-style: none;
    margin: 0px;
    padding: 0px;
    width: 100%;
}

.menu-hoofdmenu-container {
    width: 100%;
    text-align: center;
}

ul#primary-menu-mobiel > li > a {
    font-size: 22px;
    text-decoration: none;
    margin: 10px 0px;
    display: block;
    font-family: "WorkSans", Arial, Helvetica, sans-serif;
}

.mobielmenu .widget h5 {
    color: #444444;
    font-size: 15px;
}

.mobielmenu .boxfootera {
    margin-top: 25px!important;
}
	
}




@media (max-width: 991px) {

.boxmenuandcta a.ctaheader.mail, .boxmenuandcta a.ctaheader.call {
    display: none;
}

.boxmenuandcta {
    width: calc(100% - 272px);
    padding-right: 20px;
}

.boxinmenu {
    font-size: 15px;
    margin: 7.5px -15px 0px -15px;
    display: block;
}

.boxinmenu a {
    margin: 7.5px 15px;
    display: inline-block;
    text-decoration: none;
}

	
}

@media (max-width: 768px) {


.vidbg-container video {
    display: none!important;
}
	
.vidbg-container {
    background-color: rgb(0 0 0 / 0%);
    background-image: url(https://www.cornelissenmetaaltechniek.nl/wp-content/uploads/2022/01/Overlay-mobiel-2.svg)!important;
    background-position: top center;
    background-size: cover;
}

}

@media (max-width: 600px) {


.site-branding img {
    height: 50px;
}

.boxmenuandcta {
    width: calc(100% - 240px);
}

}


@media (max-width: 400px) {

.boxmenuandcta {
    display: none;
}

a.hidefirst {
	display: inline-block!important;
}

}